[package]
name = "systemview-target"
version = "0.1.2"
authors = ["Stefan Lüthi <stefan@luethi.tech>"]
edition = "2021"
license = "MIT"
categories = ["embedded", "no-std"]
keywords = ["embedded", "no_std", "cortex-m", "rtos"]
description = "RTOS tracing trait implementation for SEGGER SystemView."
documentation = "https://docs.rs/systemview-target"
repository = "https://gitlab.com/bern-rtos/tools/rtos-trace"
homepage = "https://bern-rtos.org"


[features]
callbacks-os = []
callbacks-os-time = []
callbacks-app = []
log = ["heapless", "dep:log"]
cortex-m = ["dep:cortex-m"]

[dependencies]
cty = "0.2"
rtos-trace = "0.1"
heapless = { version = "0.7", optional = true }
log = { version = "0.4", optional = true, features = ["max_level_debug", "release_max_level_warn"] }
cortex-m = {version = "0.7", optional = true }

[build-dependencies]
# default features must be disabled, because bindgen enables `std` in `log`
bindgen = { version = "0.60", default-features = false, features = ["runtime"] }
cc = "1.0"

[dev-dependencies]
#st-nucleo-f446 = { path = "../../platform/st_nucleo_f446" }
cortex-m = "0.7"
cortex-m-rt = "0.7"
panic-halt = "0.2"

[[example]]
name = "no_os"
required-features = ["callbacks-app"]

[package.metadata.docs.rs]
targets = [
    "thumbv7em-none-eabihf",
]
features = ["cortex-m"]
